Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037587
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-01-05 09:442018-02-22 18:18
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision18388657f3c0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037587: Open on tab does not work on Tree type windows when using auxiliary inputs in display logic

DescriptionOpen on tab does not work on Tree type windows when using auxiliary inputs in display logic. It shows a blank window
Steps To ReproduceUsing System Administrator role and having some module in development:

1) Create a new auxiliary input:
 - Tab: Element - Account Tree
 - Name: test
 - Active: YES
 - Validation Code: @SQL=select ad_org_id from ad_org where ad_org_id = @AD_Org_ID@

2) Then, open 'Windows, Tabs and Fields' window and navigate to Account Tree/Element Value:
 - Display Logic: @test@='B843C30461EA4501935CB1D125C9C25A'

Compile the environment and then login with 'F&B International Group Admin' role:
NOTE: We need to open the tab using a tabledir record. In this case we don't have a direct one so we are opening programmatically:

- Open Developer Tools and run this command on the console:
OB.Utilities.openDirectView('118', 'C_ElementValue_ID', 'FinancialMgmtElementValue', 'A45B7570F9BE4A69A3BF53CFEBB29FC0')

This should open the record with name 'ACTIVE' of the subtab 'Element Value' (identified by id A45B7570F9BE4A69A3BF53CFEBB29FC0). However, it opens a blank window.
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-01-05 09-44-28.png [^] (59,228 bytes) 2018-01-05 09:44

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037872 closedcaristu Error when opening a child tab, which have filters applied, from another window 
related to defect 0037588 acknowledgedplatform Open on tab opens both grid and form view when using Default Tree View Logic on tabs 
causes defect 0038037 closedjarmendariz Display logic on tab not properly applied in form view 
causes defect 0039405 closedAugustoMauch Display logic in Product window does not work properly while opening as a tab from another window 

-  Notes
(0102175)
hgbot (developer)
2018-02-05 10:40

Repository: erp/devel/pi
Changeset: 18388657f3c0f155490eeed4ab39b431492b2dc0
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Feb 02 10:13:13 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/18388657f3c0f155490eeed4ab39b431492b2dc0 [^]

Fixed bug 37587: Opening tab with display logic using aux input appears empty.

ShowTabIf logic applied only if the view does not come from a direct link call. This fixed the issue with no wait until the contextInfo is fully loaded.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0102333)
caristu (developer)
2018-02-12 14:13

Code reviewed + tested OK.
(0102717)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-05 09:44 JONHM New Issue
2018-01-05 09:44 JONHM Assigned To => platform
2018-01-05 09:44 JONHM File Added: Screenshot from 2018-01-05 09-44-28.png
2018-01-05 09:44 JONHM Modules => Core
2018-01-05 09:44 JONHM Triggers an Emergency Pack => No
2018-01-05 10:01 JONHM Relationship added related to 0037588
2018-01-29 19:24 caristu Status new => scheduled
2018-01-29 19:24 caristu Assigned To platform => jarmendariz
2018-02-05 10:40 hgbot Checkin
2018-02-05 10:40 hgbot Note Added: 0102175
2018-02-05 10:40 hgbot Status scheduled => resolved
2018-02-05 10:40 hgbot Resolution open => fixed
2018-02-05 10:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/18388657f3c0f155490eeed4ab39b431492b2dc0 [^]
2018-02-05 10:41 jarmendariz Review Assigned To => caristu
2018-02-12 13:29 caristu Relationship added related to 0037872
2018-02-12 14:13 caristu Note Added: 0102333
2018-02-12 14:13 caristu Status resolved => closed
2018-02-12 14:13 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102717
2018-03-05 08:33 caristu Relationship added causes 0038037
2018-10-29 18:11 caristu Relationship added related to 0039405
2018-11-13 17:21 caristu Relationship deleted related to 0039405
2018-11-13 17:21 caristu Relationship added causes 0039405


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker